v1.0
get
/ec-rule-designer-svc/rest/v1.0/rule/studies/{studyId}/{mode}/versions/{version}/formId/{formId}
Retrieves information about visits/forms related actions.
Request
Path Parameters
-
formId(required): string(uuid)
Optional form identifier filter. Accepts either a compact 32-character hexadecimal UUID or a hyphenated 36-character UUID.Example:
38891F5E75BB4071BBF8ACE1F43BD1BD -
studyId(required): string(uuid)
Unique study identifier supplied as a UUID. Accepts either a compact 32-character hexadecimal value or a hyphenated 36-character UUID.Example:
36753A48BBA048CB98A5F3278146118D -
version(required): string
Optional study version value. Provide the semantic version string that uniquely identifies the study draft.Example:
3.2.0.18
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success.
Root Schema : schema
Type:
Show Source
array-
Array of:
object RDSRestResponseDTO
Response from Rule Designer APIs
Nested Schema : RDSRestResponseDTO
Type:
objectResponse from Rule Designer APIs
Show Source
-
result: object
result
Read Only:
trueMaximum Number of Properties:2000Result payload when the request succeeds. Structure depends on the endpoint. -
status: string
Read Only:
trueMinimum Length:6Maximum Length:7Allowed Values:[ "success", "failed" ]Overall outcome for the call. Allowed values: success, failed.Example:success
Example:
{
"status":"success",
"result":{
"message":"Rule updated successfully."
}
}Nested Schema : result
Type:
objectRead Only:
trueMaximum Number of Properties:
2000Result payload when the request succeeds. Structure depends on the endpoint.
Example:
{
"rules":[
]
}Examples
500 Response
Returned when no data is available for the supplied study context or identifiers.
Root Schema : RDSRestResponseDTO
Type:
objectResponse from Rule Designer APIs
Show Source
-
result: object
result
Read Only:
trueMaximum Number of Properties:2000Result payload when the request succeeds. Structure depends on the endpoint. -
status: string
Read Only:
trueMinimum Length:6Maximum Length:7Allowed Values:[ "success", "failed" ]Overall outcome for the call. Allowed values: success, failed.Example:success
Example:
{
"status":"success",
"result":{
"message":"Rule updated successfully."
}
}Nested Schema : result
Type:
objectRead Only:
trueMaximum Number of Properties:
2000Result payload when the request succeeds. Structure depends on the endpoint.
Example:
{
"rules":[
]
}Examples